Subject: RE: [BUGS] Git v2.51.2 on NonStop

From: <[email-masked]>
Date: Wed, 29 Oct 2025 18:41:27 -0400

On October 29, 2025 6:28 PM, SZEDER Gábor wrote:
>On Tue, Oct 28, 2025 at 01:40:42PM -0400, [email-masked] wrote:
>> I have found new defects on 2.51.2 that were not present in 2.51.1 when building
>with OpenSSL 3.5 (probably unrelated).
>>
>> Many failures in t7900 resulting from the use of test_subcommand ! as seen
>below. This is run in bash 5.0.18:
>>
>> + test_subcommand git gc --quiet --no-detach --skip-foreground-tasks
>> + 0< run-no-auto.txt
>> {"event":"child_start","sid":"20251028T172435.690328Z-H36b1c598-P7b000
>> 02d","thread":"main","time":"2025-10-28T17:24:35.879833Z","file":"/hom
>> e/jenkinsbuild/.jenkins/workspace/Git_Pipeline/run-command.c","line":7
>> 40,"child_id":2,"child_class":"?","use_shell":false,"argv":["git","gc"
>> ,"--quiet","--no-detach","--skip-foreground-tasks"]}
>> + test_subcommand ! git gc --auto --quiet --no-detach
>> + --skip-foreground-tasks 0< run-auto.txt
>> test_subcommand[5]: test: argument expected
>
>This is a strange trace output, as it includes file descriptor redirections, but lacks the
>trace of commands executed in test_subcommands.  This trace doesn't look like it's
>coming from Bash.

The test_subcommand[5]: test: argument expect is coming from bash. I cannot see how
it is coming from anywhere else. The test was run with -x but snipped. Reference to
test_subcommand ! git... fails exactly the same way. Is there something else I can provide?